
<!--
IGAC proyecto SNC
@author juan.agudelo
-->

<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:p="http://primefaces.org/ui"
                template="../templates/generalCU.xhtml">

    <ui:define name="content">
        <!-- CASOS DE USO CU-NP-CO-042 &  CU-NP-CO-036 -->

        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" />

        <p:messages id="msgsAT" showDetail="false" globalOnly="false" />

        <h:form id="archivarTramitesForm">

            <p:fieldset legend="Datos de búsqueda" toggleable="false">

                <p:spacer height="8" width="0" />
                <p:spacer height="8" width="0" />

                <h:panelGrid columns="5" cellspacing="10">
                    <h:panelGrid columns="2">
                        <h:outputLabel value="Departamento " styleClass="outputLabelStyle" />
                        <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                    </h:panelGrid>
                    <h:panelGrid columns="4">
                        <h:panelGrid columns="2">
                            <h:selectOneMenu id="departamentoBloqueo" label="Departamento"
                                             value="#{archivarTramite.departamentoCodigo}" required="true">
                                <f:selectItems value="#{archivarTramite.departamentos}"></f:selectItems>
                                <p:ajax immediate="true" update="municipioBloqueo"></p:ajax>
                            </h:selectOneMenu>
                            <p:message for="departamentoBloqueo" display="icon"></p:message>
                        </h:panelGrid>
                        <p:commandLink
                            update="btnOrdenDepartamentosJ, departamentoBloqueo"
                            title="Orden"
                            action="#{archivarTramite.cambiarOrdenDepartamentos}"
                            id="btnOrdenDepartamentosJ" ajax="true" immediate="true">
                            <p:graphicImage
                                rendered="#{archivarTramite.ordenDepartamentos eq 'NOMBRE'}"
                                value="/images/sortCode.png" />
                            <p:graphicImage
                                rendered="#{archivarTramite.ordenDepartamentos eq 'CODIGO'}"
                                value="/images/sortText.png" />
                        </p:commandLink>
                    </h:panelGrid>

                    <h:panelGrid columns="2">
                        <h:panelGrid columns="2">
                            <h:outputLabel value="Municipio: " styleClass="outputLabelStyle" />
                            <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                        </h:panelGrid>
                        <h:panelGrid columns="3">
                            <h:panelGrid columns="2">
                                <h:selectOneMenu id="municipioBloqueo" label="Municipio"
                                                 value="#{archivarTramite.municipioCodigo}" required="true">
                                    <f:selectItems value="#{archivarTramite.municipios}"></f:selectItems>
                                </h:selectOneMenu>
                                <p:message for="municipioBloqueo" display="icon"></p:message>
                            </h:panelGrid>
                            <p:commandLink update="btnOrdenMunicipiosJ, municipioBloqueo"
                                           title="Orden" action="#{archivarTramite.cambiarOrdenMunicipios}"
                                           id="btnOrdenMunicipiosJ" ajax="true" immediate="true">
                                <p:graphicImage
                                    rendered="#{archivarTramite.ordenMunicipios eq 'NOMBRE'}"
                                    value="/images/sortCode.png" />
                                <p:graphicImage
                                    rendered="#{archivarTramite.ordenMunicipios eq 'CODIGO'}"
                                    value="/images/sortText.png" />
                            </p:commandLink>
                        </h:panelGrid>
                    </h:panelGrid>
                </h:panelGrid>

                <h:panelGrid columns="1">
                    <p:commandButton value="Buscar" action="#{archivarTramite.buscar}"
                                     id="btnBuscar" ajax="false" update="res, msgsDP"
                                     icon="ui-icon ui-icon-search" />
                </h:panelGrid>

            </p:fieldset>

            <p:spacer width="0" height="15" />

            <p:dataTable value="#{archivarTramite.lazyAssignedTArchivar}"
                         var="currentTA" id="res" widgetVar="res" paginator="true" rows="10"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         paginatorPosition="bottom" rowsPerPageTemplate="10,20,30"
                         emptyMessage="No se encontraron trámites para archivar"
                         rendered="#{archivarTramite.banderaTablaBusqueda}">

                <f:facet name="header">  
                    Resultados de la búsqueda 
                </f:facet>

                <p:column>
                    <f:facet name="header">
                        Departamento							
                    </f:facet>
                    <h:outputText value="#{currentTA.departamento.nombre}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Municipio					
                    </f:facet>
                    <h:outputText value="#{currentTA.municipio.nombre}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Número de <br />
                        solicitud							
                    </f:facet>
                    <h:outputText value="#{currentTA.solicitud.numero}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Número de <br />
                        radicación								
                    </f:facet>
                    <h:outputText value="#{currentTA.numeroRadicacion}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Número <br />
                        predial								
                    </f:facet>
                    <h:outputText value="#{currentTA.predio.numeroPredial}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Consecutivo <br />
                        catastral						
                    </f:facet>
                    <h:outputText value="#{currentTA.predio.consecutivoCatastral}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Fecha de  <br />
                        radicación						
                    </f:facet>
                    <h:outputText value="#{currentTA.fechaRadicacion}" />
                </p:column>


                <p:column>
                    <f:facet name="header">
                        Clasificación					
                    </f:facet>
                    <h:outputText value="#{currentTA.clasificacion}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Tipo de  <br />
                        trámite					
                    </f:facet>
                    <h:outputText value="#{currentTA.tipoTramite}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Estado				
                    </f:facet>
                    <h:outputText value="#{currentTA.estado}" />
                </p:column>


                <p:column>
                    <f:facet name="header">
                        Asignado a				
                    </f:facet>
                    <h:outputText value="#{currentTA.funcionarioAsignado}" />
                </p:column>
                <p:column>
                    <f:facet name="header">
                        Archivar								
                    </f:facet>
                    <p:commandButton icon="ui-icon-check" immediate="true"
                                     action="#{archivarTramite.archivar}" update="msgsAT, res">
                        <f:setPropertyActionListener
                            target="#{archivarTramite.tramiteParaArchivar}"
                            value="#{currentTA}" />
                    </p:commandButton>
                </p:column>
            </p:dataTable>

        </h:form>


    </ui:define>
</ui:composition>
